xrestop should not try to build into a pure wayland platform.
[platform/upstream/xrestop.git] / Makefile.in
1 # Makefile.in generated by automake 1.9.5 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 SOURCES = $(xrestop_SOURCES)
18
19 srcdir = @srcdir@
20 top_srcdir = @top_srcdir@
21 VPATH = @srcdir@
22 pkgdatadir = $(datadir)/@PACKAGE@
23 pkglibdir = $(libdir)/@PACKAGE@
24 pkgincludedir = $(includedir)/@PACKAGE@
25 top_builddir = .
26 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
27 INSTALL = @INSTALL@
28 install_sh_DATA = $(install_sh) -c -m 644
29 install_sh_PROGRAM = $(install_sh) -c
30 install_sh_SCRIPT = $(install_sh) -c
31 INSTALL_HEADER = $(INSTALL_DATA)
32 transform = $(program_transform_name)
33 NORMAL_INSTALL = :
34 PRE_INSTALL = :
35 POST_INSTALL = :
36 NORMAL_UNINSTALL = :
37 PRE_UNINSTALL = :
38 POST_UNINSTALL = :
39 bin_PROGRAMS = xrestop$(EXEEXT)
40 subdir = .
41 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
42         $(srcdir)/Makefile.in $(srcdir)/config.h.in \
43         $(srcdir)/xrestop.spec.in $(top_srcdir)/configure AUTHORS \
44         COPYING ChangeLog INSTALL NEWS depcomp install-sh missing
45 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
46 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
47 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
48         $(ACLOCAL_M4)
49 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
50  configure.lineno configure.status.lineno
51 mkinstalldirs = $(install_sh) -d
52 CONFIG_HEADER = config.h
53 CONFIG_CLEAN_FILES = xrestop.spec
54 am__installdirs = "$(DESTDIR)$(bindir)"
55 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
56 PROGRAMS = $(bin_PROGRAMS)
57 am_xrestop_OBJECTS = xrestop.$(OBJEXT)
58 xrestop_OBJECTS = $(am_xrestop_OBJECTS)
59 xrestop_DEPENDENCIES =
60 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
61 depcomp = $(SHELL) $(top_srcdir)/depcomp
62 am__depfiles_maybe = depfiles
63 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
64         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
65 CCLD = $(CC)
66 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
67 SOURCES = $(xrestop_SOURCES)
68 DIST_SOURCES = $(xrestop_SOURCES)
69 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
70         html-recursive info-recursive install-data-recursive \
71         install-exec-recursive install-info-recursive \
72         install-recursive installcheck-recursive installdirs-recursive \
73         pdf-recursive ps-recursive uninstall-info-recursive \
74         uninstall-recursive
75 ETAGS = etags
76 CTAGS = ctags
77 DIST_SUBDIRS = $(SUBDIRS)
78 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
79 distdir = $(PACKAGE)-$(VERSION)
80 top_distdir = $(distdir)
81 am__remove_distdir = \
82   { test ! -d $(distdir) \
83     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
84          && rm -fr $(distdir); }; }
85 DIST_ARCHIVES = $(distdir).tar.gz
86 GZIP_ENV = --best
87 distuninstallcheck_listfiles = find . -type f -print
88 distcleancheck_listfiles = find . -type f -print
89 ACLOCAL = @ACLOCAL@
90 AMDEP_FALSE = @AMDEP_FALSE@
91 AMDEP_TRUE = @AMDEP_TRUE@
92 AMTAR = @AMTAR@
93 AUTOCONF = @AUTOCONF@
94 AUTOHEADER = @AUTOHEADER@
95 AUTOMAKE = @AUTOMAKE@
96 AWK = @AWK@
97 CC = @CC@
98 CCDEPMODE = @CCDEPMODE@
99 CFLAGS = @CFLAGS@
100 CPP = @CPP@
101 CPPFLAGS = @CPPFLAGS@
102 CYGPATH_W = @CYGPATH_W@
103 DEFS = @DEFS@
104 DEPDIR = @DEPDIR@
105 ECHO_C = @ECHO_C@
106 ECHO_N = @ECHO_N@
107 ECHO_T = @ECHO_T@
108 EGREP = @EGREP@
109 EXEEXT = @EXEEXT@
110 INSTALL_DATA = @INSTALL_DATA@
111 INSTALL_PROGRAM = @INSTALL_PROGRAM@
112 INSTALL_SCRIPT = @INSTALL_SCRIPT@
113 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
114 LDFLAGS = @LDFLAGS@
115 LIBOBJS = @LIBOBJS@
116 LIBS = @LIBS@
117 LTLIBOBJS = @LTLIBOBJS@
118 MAINT = @MAINT@
119 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
120 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
121 MAKEINFO = @MAKEINFO@
122 OBJEXT = @OBJEXT@
123 PACKAGE = @PACKAGE@
124 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
125 PACKAGE_NAME = @PACKAGE_NAME@
126 PACKAGE_STRING = @PACKAGE_STRING@
127 PACKAGE_TARNAME = @PACKAGE_TARNAME@
128 PACKAGE_VERSION = @PACKAGE_VERSION@
129 PATH_SEPARATOR = @PATH_SEPARATOR@
130 PKG_CONFIG = @PKG_CONFIG@
131 SET_MAKE = @SET_MAKE@
132 SHELL = @SHELL@
133 STRIP = @STRIP@
134 VERSION = @VERSION@
135 X11_CFLAGS = @X11_CFLAGS@
136 X11_LIBS = @X11_LIBS@
137 XLIBS_CFLAGS = @XLIBS_CFLAGS@
138 XLIBS_LIBS = @XLIBS_LIBS@
139 X_CFLAGS = @X_CFLAGS@
140 X_EXTRA_LIBS = @X_EXTRA_LIBS@
141 X_LIBS = @X_LIBS@
142 X_PRE_LIBS = @X_PRE_LIBS@
143 ac_ct_CC = @ac_ct_CC@
144 ac_ct_STRIP = @ac_ct_STRIP@
145 ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
146 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
147 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
148 am__include = @am__include@
149 am__leading_dot = @am__leading_dot@
150 am__quote = @am__quote@
151 am__tar = @am__tar@
152 am__untar = @am__untar@
153 bindir = @bindir@
154 build_alias = @build_alias@
155 datadir = @datadir@
156 exec_prefix = @exec_prefix@
157 host_alias = @host_alias@
158 includedir = @includedir@
159 infodir = @infodir@
160 install_sh = @install_sh@
161 libdir = @libdir@
162 libexecdir = @libexecdir@
163 localstatedir = @localstatedir@
164 mandir = @mandir@
165 mkdir_p = @mkdir_p@
166 oldincludedir = @oldincludedir@
167 prefix = @prefix@
168 program_transform_name = @program_transform_name@
169 sbindir = @sbindir@
170 sharedstatedir = @sharedstatedir@
171 sysconfdir = @sysconfdir@
172 target_alias = @target_alias@
173 SUBDIRS = doc
174 AM_CFLAGS = @XLIBS_CFLAGS@
175 xrestop_SOURCES = xrestop.c
176 xrestop_LDADD = @XLIBS_LIBS@
177 extra_DIST = xrestop.spec xrestop.spec.in
178 all: config.h
179         $(MAKE) $(AM_MAKEFLAGS) all-recursive
180
181 .SUFFIXES:
182 .SUFFIXES: .c .o .obj
183 am--refresh:
184         @:
185 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
186         @for dep in $?; do \
187           case '$(am__configure_deps)' in \
188             *$$dep*) \
189               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
190               cd $(srcdir) && $(AUTOMAKE) --gnu  \
191                 && exit 0; \
192               exit 1;; \
193           esac; \
194         done; \
195         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
196         cd $(top_srcdir) && \
197           $(AUTOMAKE) --gnu  Makefile
198 .PRECIOUS: Makefile
199 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
200         @case '$?' in \
201           *config.status*) \
202             echo ' $(SHELL) ./config.status'; \
203             $(SHELL) ./config.status;; \
204           *) \
205             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
206             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
207         esac;
208
209 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
210         $(SHELL) ./config.status --recheck
211
212 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
213         cd $(srcdir) && $(AUTOCONF)
214 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
215         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
216
217 config.h: stamp-h1
218         @if test ! -f $@; then \
219           rm -f stamp-h1; \
220           $(MAKE) stamp-h1; \
221         else :; fi
222
223 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
224         @rm -f stamp-h1
225         cd $(top_builddir) && $(SHELL) ./config.status config.h
226 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
227         cd $(top_srcdir) && $(AUTOHEADER)
228         rm -f stamp-h1
229         touch $@
230
231 distclean-hdr:
232         -rm -f config.h stamp-h1
233 xrestop.spec: $(top_builddir)/config.status $(srcdir)/xrestop.spec.in
234         cd $(top_builddir) && $(SHELL) ./config.status $@
235 install-binPROGRAMS: $(bin_PROGRAMS)
236         @$(NORMAL_INSTALL)
237         test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
238         @list='$(bin_PROGRAMS)'; for p in $$list; do \
239           p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
240           if test -f $$p \
241           ; then \
242             f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
243            echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
244            $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
245           else :; fi; \
246         done
247
248 uninstall-binPROGRAMS:
249         @$(NORMAL_UNINSTALL)
250         @list='$(bin_PROGRAMS)'; for p in $$list; do \
251           f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
252           echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
253           rm -f "$(DESTDIR)$(bindir)/$$f"; \
254         done
255
256 clean-binPROGRAMS:
257         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
258 xrestop$(EXEEXT): $(xrestop_OBJECTS) $(xrestop_DEPENDENCIES) 
259         @rm -f xrestop$(EXEEXT)
260         $(LINK) $(xrestop_LDFLAGS) $(xrestop_OBJECTS) $(xrestop_LDADD) $(LIBS)
261
262 mostlyclean-compile:
263         -rm -f *.$(OBJEXT)
264
265 distclean-compile:
266         -rm -f *.tab.c
267
268 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/xrestop.Po@am__quote@
269
270 .c.o:
271 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
272 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
273 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
274 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
275 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
276
277 .c.obj:
278 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
279 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
280 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
281 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
282 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
283 uninstall-info-am:
284
285 # This directory's subdirectories are mostly independent; you can cd
286 # into them and run `make' without going through this Makefile.
287 # To change the values of `make' variables: instead of editing Makefiles,
288 # (1) if the variable is set in `config.status', edit `config.status'
289 #     (which will cause the Makefiles to be regenerated when you run `make');
290 # (2) otherwise, pass the desired values on the `make' command line.
291 $(RECURSIVE_TARGETS):
292         @failcom='exit 1'; \
293         for f in x $$MAKEFLAGS; do \
294           case $$f in \
295             *=* | --[!k]*);; \
296             *k*) failcom='fail=yes';; \
297           esac; \
298         done; \
299         dot_seen=no; \
300         target=`echo $@ | sed s/-recursive//`; \
301         list='$(SUBDIRS)'; for subdir in $$list; do \
302           echo "Making $$target in $$subdir"; \
303           if test "$$subdir" = "."; then \
304             dot_seen=yes; \
305             local_target="$$target-am"; \
306           else \
307             local_target="$$target"; \
308           fi; \
309           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
310           || eval $$failcom; \
311         done; \
312         if test "$$dot_seen" = "no"; then \
313           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
314         fi; test -z "$$fail"
315
316 mostlyclean-recursive clean-recursive distclean-recursive \
317 maintainer-clean-recursive:
318         @failcom='exit 1'; \
319         for f in x $$MAKEFLAGS; do \
320           case $$f in \
321             *=* | --[!k]*);; \
322             *k*) failcom='fail=yes';; \
323           esac; \
324         done; \
325         dot_seen=no; \
326         case "$@" in \
327           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
328           *) list='$(SUBDIRS)' ;; \
329         esac; \
330         rev=''; for subdir in $$list; do \
331           if test "$$subdir" = "."; then :; else \
332             rev="$$subdir $$rev"; \
333           fi; \
334         done; \
335         rev="$$rev ."; \
336         target=`echo $@ | sed s/-recursive//`; \
337         for subdir in $$rev; do \
338           echo "Making $$target in $$subdir"; \
339           if test "$$subdir" = "."; then \
340             local_target="$$target-am"; \
341           else \
342             local_target="$$target"; \
343           fi; \
344           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
345           || eval $$failcom; \
346         done && test -z "$$fail"
347 tags-recursive:
348         list='$(SUBDIRS)'; for subdir in $$list; do \
349           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
350         done
351 ctags-recursive:
352         list='$(SUBDIRS)'; for subdir in $$list; do \
353           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
354         done
355
356 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
357         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
358         unique=`for i in $$list; do \
359             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
360           done | \
361           $(AWK) '    { files[$$0] = 1; } \
362                END { for (i in files) print i; }'`; \
363         mkid -fID $$unique
364 tags: TAGS
365
366 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
367                 $(TAGS_FILES) $(LISP)
368         tags=; \
369         here=`pwd`; \
370         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
371           include_option=--etags-include; \
372           empty_fix=.; \
373         else \
374           include_option=--include; \
375           empty_fix=; \
376         fi; \
377         list='$(SUBDIRS)'; for subdir in $$list; do \
378           if test "$$subdir" = .; then :; else \
379             test ! -f $$subdir/TAGS || \
380               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
381           fi; \
382         done; \
383         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
384         unique=`for i in $$list; do \
385             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
386           done | \
387           $(AWK) '    { files[$$0] = 1; } \
388                END { for (i in files) print i; }'`; \
389         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
390           test -n "$$unique" || unique=$$empty_fix; \
391           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
392             $$tags $$unique; \
393         fi
394 ctags: CTAGS
395 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
396                 $(TAGS_FILES) $(LISP)
397         tags=; \
398         here=`pwd`; \
399         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
400         unique=`for i in $$list; do \
401             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
402           done | \
403           $(AWK) '    { files[$$0] = 1; } \
404                END { for (i in files) print i; }'`; \
405         test -z "$(CTAGS_ARGS)$$tags$$unique" \
406           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
407              $$tags $$unique
408
409 GTAGS:
410         here=`$(am__cd) $(top_builddir) && pwd` \
411           && cd $(top_srcdir) \
412           && gtags -i $(GTAGS_ARGS) $$here
413
414 distclean-tags:
415         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
416
417 distdir: $(DISTFILES)
418         $(am__remove_distdir)
419         mkdir $(distdir)
420         $(mkdir_p) $(distdir)/.
421         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
422         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
423         list='$(DISTFILES)'; for file in $$list; do \
424           case $$file in \
425             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
426             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
427           esac; \
428           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
429           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
430           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
431             dir="/$$dir"; \
432             $(mkdir_p) "$(distdir)$$dir"; \
433           else \
434             dir=''; \
435           fi; \
436           if test -d $$d/$$file; then \
437             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
438               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
439             fi; \
440             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
441           else \
442             test -f $(distdir)/$$file \
443             || cp -p $$d/$$file $(distdir)/$$file \
444             || exit 1; \
445           fi; \
446         done
447         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
448           if test "$$subdir" = .; then :; else \
449             test -d "$(distdir)/$$subdir" \
450             || $(mkdir_p) "$(distdir)/$$subdir" \
451             || exit 1; \
452             distdir=`$(am__cd) $(distdir) && pwd`; \
453             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
454             (cd $$subdir && \
455               $(MAKE) $(AM_MAKEFLAGS) \
456                 top_distdir="$$top_distdir" \
457                 distdir="$$distdir/$$subdir" \
458                 distdir) \
459               || exit 1; \
460           fi; \
461         done
462         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
463           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
464           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
465           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
466         || chmod -R a+r $(distdir)
467 dist-gzip: distdir
468         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
469         $(am__remove_distdir)
470
471 dist-bzip2: distdir
472         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
473         $(am__remove_distdir)
474
475 dist-tarZ: distdir
476         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
477         $(am__remove_distdir)
478
479 dist-shar: distdir
480         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
481         $(am__remove_distdir)
482
483 dist-zip: distdir
484         -rm -f $(distdir).zip
485         zip -rq $(distdir).zip $(distdir)
486         $(am__remove_distdir)
487
488 dist dist-all: distdir
489         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
490         $(am__remove_distdir)
491
492 # This target untars the dist file and tries a VPATH configuration.  Then
493 # it guarantees that the distribution is self-contained by making another
494 # tarfile.
495 distcheck: dist
496         case '$(DIST_ARCHIVES)' in \
497         *.tar.gz*) \
498           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
499         *.tar.bz2*) \
500           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
501         *.tar.Z*) \
502           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
503         *.shar.gz*) \
504           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
505         *.zip*) \
506           unzip $(distdir).zip ;;\
507         esac
508         chmod -R a-w $(distdir); chmod a+w $(distdir)
509         mkdir $(distdir)/_build
510         mkdir $(distdir)/_inst
511         chmod a-w $(distdir)
512         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
513           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
514           && cd $(distdir)/_build \
515           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
516             $(DISTCHECK_CONFIGURE_FLAGS) \
517           && $(MAKE) $(AM_MAKEFLAGS) \
518           && $(MAKE) $(AM_MAKEFLAGS) dvi \
519           && $(MAKE) $(AM_MAKEFLAGS) check \
520           && $(MAKE) $(AM_MAKEFLAGS) install \
521           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
522           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
523           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
524                 distuninstallcheck \
525           && chmod -R a-w "$$dc_install_base" \
526           && ({ \
527                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
528                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
529                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
530                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
531                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
532               } || { rm -rf "$$dc_destdir"; exit 1; }) \
533           && rm -rf "$$dc_destdir" \
534           && $(MAKE) $(AM_MAKEFLAGS) dist \
535           && rm -rf $(DIST_ARCHIVES) \
536           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
537         $(am__remove_distdir)
538         @(echo "$(distdir) archives ready for distribution: "; \
539           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
540           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
541 distuninstallcheck:
542         @cd $(distuninstallcheck_dir) \
543         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
544            || { echo "ERROR: files left after uninstall:" ; \
545                 if test -n "$(DESTDIR)"; then \
546                   echo "  (check DESTDIR support)"; \
547                 fi ; \
548                 $(distuninstallcheck_listfiles) ; \
549                 exit 1; } >&2
550 distcleancheck: distclean
551         @if test '$(srcdir)' = . ; then \
552           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
553           exit 1 ; \
554         fi
555         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
556           || { echo "ERROR: files left in build directory after distclean:" ; \
557                $(distcleancheck_listfiles) ; \
558                exit 1; } >&2
559 check-am: all-am
560 check: check-recursive
561 all-am: Makefile $(PROGRAMS) config.h
562 installdirs: installdirs-recursive
563 installdirs-am:
564         for dir in "$(DESTDIR)$(bindir)"; do \
565           test -z "$$dir" || $(mkdir_p) "$$dir"; \
566         done
567 install: install-recursive
568 install-exec: install-exec-recursive
569 install-data: install-data-recursive
570 uninstall: uninstall-recursive
571
572 install-am: all-am
573         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
574
575 installcheck: installcheck-recursive
576 install-strip:
577         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
578           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
579           `test -z '$(STRIP)' || \
580             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
581 mostlyclean-generic:
582
583 clean-generic:
584
585 distclean-generic:
586         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
587
588 maintainer-clean-generic:
589         @echo "This command is intended for maintainers to use"
590         @echo "it deletes files that may require special tools to rebuild."
591 clean: clean-recursive
592
593 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
594
595 distclean: distclean-recursive
596         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
597         -rm -rf ./$(DEPDIR)
598         -rm -f Makefile
599 distclean-am: clean-am distclean-compile distclean-generic \
600         distclean-hdr distclean-tags
601
602 dvi: dvi-recursive
603
604 dvi-am:
605
606 html: html-recursive
607
608 info: info-recursive
609
610 info-am:
611
612 install-data-am:
613
614 install-exec-am: install-binPROGRAMS
615
616 install-info: install-info-recursive
617
618 install-man:
619
620 installcheck-am:
621
622 maintainer-clean: maintainer-clean-recursive
623         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
624         -rm -rf $(top_srcdir)/autom4te.cache
625         -rm -rf ./$(DEPDIR)
626         -rm -f Makefile
627 maintainer-clean-am: distclean-am maintainer-clean-generic
628
629 mostlyclean: mostlyclean-recursive
630
631 mostlyclean-am: mostlyclean-compile mostlyclean-generic
632
633 pdf: pdf-recursive
634
635 pdf-am:
636
637 ps: ps-recursive
638
639 ps-am:
640
641 uninstall-am: uninstall-binPROGRAMS uninstall-info-am
642
643 uninstall-info: uninstall-info-recursive
644
645 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
646         check-am clean clean-binPROGRAMS clean-generic clean-recursive \
647         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
648         dist-shar dist-tarZ dist-zip distcheck distclean \
649         distclean-compile distclean-generic distclean-hdr \
650         distclean-recursive distclean-tags distcleancheck distdir \
651         distuninstallcheck dvi dvi-am html html-am info info-am \
652         install install-am install-binPROGRAMS install-data \
653         install-data-am install-exec install-exec-am install-info \
654         install-info-am install-man install-strip installcheck \
655         installcheck-am installdirs installdirs-am maintainer-clean \
656         maintainer-clean-generic maintainer-clean-recursive \
657         mostlyclean mostlyclean-compile mostlyclean-generic \
658         mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
659         uninstall uninstall-am uninstall-binPROGRAMS uninstall-info-am
660
661 # Tell versions [3.59,3.63) of GNU make to not export all variables.
662 # Otherwise a system limit (for SysV at least) may be exceeded.
663 .NOEXPORT: